Skip to main content
GET
/
ai
/
clusters
/
{task_id}
/
graph
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.ai.clusters.fetchGraph('task_id');

console.log(response);

const content = await response.blob();
console.log(content);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.clusters.fetch_graph(
task_id="task_id",
)
print(response)
content = response.read()
print(content)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Clusters.FetchGraph(
context.TODO(),
"task_id",
telnyx.AIClusterFetchGraphParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.core.http.HttpResponse;
import com.telnyx.sdk.models.ai.clusters.ClusterFetchGraphParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

HttpResponse response = client.ai().clusters().fetchGraph("task_id");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.ai.clusters.fetch_graph("task_id")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->ai->clusters->fetchGraph('task_id', clusterID: 0);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx ai:clusters fetch-graph \
--api-key 'My API Key' \
--task-id task_id
curl --request GET \
--url https://api.telnyx.com/v2/ai/clusters/{task_id}/graph \
--header 'Authorization: Bearer <token>'
"<string>"
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

Unique identifier of the task.

Query Parameters

cluster_id
integer

Filter results by cluster id.

Response

Successful Response - Returns a PNG image of the cluster visualization.

The response is of type file.